### Method

# Ide Buffer addin_find_by_module_name

#### Declaration

    IdeBufferAddin*
    ide_buffer_addin_find_by_module_name (
      IdeBuffer* buffer,
      const gchar* module_name
    )

#### Description

Locates an addin attached to the `IdeBuffer` by the name of the module that provides the addin.

Available since: | 3.32

#### Parameters

`module_name` | `const gchar*`
| The module name of the addin.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `IdeBufferAddin`
| An `IdeBufferAddin` or `NULL`.
| The data is owned by the instance.
| The return value can be `NULL`.